Description

If a client goes away while holding the write lock, the write lock is
never released, leading to mulgara being locked forever. Currently the
timeout "only" sets the timeout on the internal transaction manager
which just causes the transaction to be marked for rollback on a
timeout. However, setting the timeout should also start a timer which
is used to abort a non-active transaction (this should happened for
both read-write as well as read-only transactions as the latter could
be holding on to a phase, leading to a "memory leak").

Associated revisions

Revision 1098 - 07/20/2008 01:01 PM - ronald -

Merged branch mgr-121-lockrecovery.

This contains three sets of changes:

1. support for idle and transaction timeouts - this closes #121, #122, and #125.

2. synchronization fixes and simplifications for the transactions
3. miscellaneous small fixes to the transactions - this closes #101.

History

#1 - 05/21/2008 05:53 AM - Andrae Muys -

- Status changed from New to In Progress

#2 - 07/20/2008 01:01 PM - ronald -

- Status changed from In Progress to Closed

- Resolution set to fixed

(In r1098) Merged branch mgr-121-lockrecovery.

This contains three sets of changes:

1. support for idle and transaction timeouts - this closes #121, #122, and #125.

2. synchronization fixes and simplifications for the transactions
3. miscellaneous small fixes to the transactions - this closes #101.
